#include <cJSON.h>
#include <esp_task.h>
#include <esp_task_wdt.h>
#include <stdio.h>
#include "epd_driver.h"
#include "mapView.h"
#include "smartconfig.h"
#include "utilities.h"

void setup(void) {
  epd_init();

  // init_smartconfig();
  xTaskCreatePinnedToCore(mapView, "mapView", 4096, NULL, 5, NULL, 1);
}

void loop(void) {
  vTaskDelay(pdMS_TO_TICKS(100));
}

extern "C" void app_main(void) {
  setup();
  while (1) {
    loop();
  }
}
